# tecella_hw_props_ex_01 Struct Reference

`#include <TecellaAmp.h>`

## Data Fields
wchar_t | acquisition_units [TECELLA_HW_PROPS_ACQUISITION_UNITS_SIZE]
wchar_t | stimulus_units [TECELLA_HW_PROPS_STIMULUS_UNITS_SIZE]
int | slew_count
double | stimulus_ramp_step_size_min
double | stimulus_ramp_step_size_max
bool | supports_hpf
int | hpf_value_min
int | hpf_value_max
bool | supports_chan_set_stimulus
bool | supports_stimulus_steering
int | stimulus_steering_index_min
int | stimulus_steering_index_max
bool | stimulus_steering_can_be_disabled
int | dynamic_system_monitor_count
double | trigger_in_delay_min
double | trigger_in_delay_max
double | trigger_in_delay_lsb
bool | supports_iclamp_enable

## Field Documentation

wchar_t tecella_hw_props_ex_01::acquisition_units[TECELLA_HW_PROPS_ACQUISITION_UNITS_SIZE]

int tecella_hw_props_ex_01::dynamic_system_monitor_count

int tecella_hw_props_ex_01::hpf_value_max

int tecella_hw_props_ex_01::hpf_value_min

int tecella_hw_props_ex_01::slew_count

double tecella_hw_props_ex_01::stimulus_ramp_step_size_max

The value_delta field can take can be up to this value in stimulus_value_lsb increments.

double tecella_hw_props_ex_01::stimulus_ramp_step_size_min

The value_delta field can take can be down to this value in stimulus_value_lsb increments.

bool tecella_hw_props_ex_01::stimulus_steering_can_be_disabled

int tecella_hw_props_ex_01::stimulus_steering_index_max

int tecella_hw_props_ex_01::stimulus_steering_index_min

used on Amadeus.

wchar_t tecella_hw_props_ex_01::stimulus_units[TECELLA_HW_PROPS_STIMULUS_UNITS_SIZE]

bool tecella_hw_props_ex_01::supports_chan_set_stimulus

bool tecella_hw_props_ex_01::supports_hpf

bool tecella_hw_props_ex_01::supports_iclamp_enable

bool tecella_hw_props_ex_01::supports_stimulus_steering

Some systems with multiple stimuli can map any channel to any stimulus via tecella_chan_set_stimulus().

double tecella_hw_props_ex_01::trigger_in_delay_lsb

double tecella_hw_props_ex_01::trigger_in_delay_max

double tecella_hw_props_ex_01::trigger_in_delay_min

Indicates how many points the dynamic system monitor can probe. See tecella_system_monitor_dynamic_set().

The documentation for this struct was generated from the following file:

- TecellaAmp.h